## console-setup 1.73

=== Fonts/Makefile ===
SHELL = /bin/sh

build : build-linux build-freebsd
build-linux : gzipped_good_psf_fonts build-any
build-freebsd : uuencoded_good_raw_fonts scrnmaps terminfo termcap build-any
build-any:


%.gz : %
	gzip -9 <$< >$@

# All available non-legacy font faces
FACES = Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus22x11 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold22x11 TerminusBold24x12 TerminusBold28x14 \
	TerminusBold32x16 TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES = VGA8 VGA10 VGA12 VGA14 VGA16 VGA19 VGA28x16 VGA32x16

ALL_FACES = $(FACES) $(LEGACY_FACES)

all-CODESETS = Arabic Armenian CyrAsia CyrKoi CyrSlav Ethiopian Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai Uni1 Uni2 Uni3 Vietnamese

Fixed13-BDFS = 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS = georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS = 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS = georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS = 9x18.bdf
Fixed24x12-BDFS = h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS = 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS = h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS = 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS = h16_b.bdf
FixedBold18-BDFS = 9x18B.bdf
FixedBold24x12-BDFS = h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS = 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus22x11-BDFS = ter-u22n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold22x11-BDFS = ter-u22b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

Courier13-BDFS = 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS = 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS = 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS = 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS = 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS = 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS = 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS = 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS = 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS = 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS = 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS = 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS = 100dpi-lutRS19.bdf

LucidBold11-BDFS = 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS = 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS = 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS = 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS = 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS = 100dpi-lutBS19.bdf

Goha12-BDFS = Goha12.bdf
Goha14-BDFS = Goha14.bdf
Goha16-BDFS = Goha16.bdf

GohaClassic12-BDFS = GohaClassic12.bdf
GohaClassic14-BDFS = GohaClassic14.bdf
GohaClassic16-BDFS = GohaClassic16.bdf

###################################################################

VGA8-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS = Lat15 Lat2
VGA12-CODESETS = Lat15 Lat2
VGA14-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS = Lat15

VGA28x16-CODESETS = $(VGA14-CODESETS)
VGA32x16-CODESETS = $(VGA16-CODESETS)

Arabic-legacy14-BDFS = legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS = arabic_vga.bdf+u_vga16.bdf+legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS = legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS = legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS = u_vga16.bdf+legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS = legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS = legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS = legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS = legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS = u_vga16.bdf+legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS = legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS = legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS = legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS = legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS = u_vga16.bdf+legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS = legacy19a.bdf
Lat15-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS = legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS = legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS = legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS = u_vga16.bdf+legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS = legacy8f.bdf+legacy8i.bdf+legacy8b.bdf
Lat38-legacy14-BDFS = legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS = u_vga16.bdf+legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS = legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS = legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS = u_vga16.bdf+legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS = legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS = legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS = arabic_vga.bdf+u_vga16.bdf+legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS = legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

adddouble = $(subst .bdf,-double.bdf, $(1))

Arabic-legacy32x16-BDFS = $(call adddouble, $(Arabic-legacy16-BDFS))
Armenian-legacy32x16-BDFS = $(call adddouble, $(Armenian-legacy16-BDFS))
CyrAsia-legacy32x16-BDFS = $(call adddouble, $(CyrAsia-legacy16-BDFS))
CyrKoi-legacy32x16-BDFS = $(call adddouble, $(CyrKoi-legacy16-BDFS))
CyrSlav-legacy32x16-BDFS = $(call adddouble, $(CyrSlav-legacy16-BDFS))
Ethiopian-legacy32x16-BDFS = $(call adddouble, $(Ethiopian-legacy16-BDFS))
Georgian-legacy32x16-BDFS = $(call adddouble, $(Georgian-legacy16-BDFS))
Greek-legacy32x16-BDFS = $(call adddouble, $(Greek-legacy16-BDFS))
Hebrew-legacy32x16-BDFS = $(call adddouble, $(Hebrew-legacy16-BDFS))
Lao-legacy32x16-BDFS = $(call adddouble, $(Lao-legacy16-BDFS))
Lat15-legacy32x16-BDFS = $(call adddouble, $(Lat15-legacy16-BDFS))
Lat2-legacy32x16-BDFS = $(call adddouble, $(Lat2-legacy16-BDFS))
Lat38-legacy32x16-BDFS = $(call adddouble, $(Lat38-legacy16-BDFS))
Lat7-legacy32x16-BDFS = $(call adddouble, $(Lat7-legacy16-BDFS))
Thai-legacy32x16-BDFS = $(call adddouble, $(Thai-legacy16-BDFS))
Uni1-legacy32x16-BDFS = $(call adddouble, $(Uni1-legacy16-BDFS))
Uni2-legacy32x16-BDFS = $(call adddouble, $(Uni2-legacy16-BDFS))
Uni3-legacy32x16-BDFS = $(call adddouble, $(Uni3-legacy16-BDFS))
Vietnamese-legacy32x16-BDFS = $(call adddouble, $(Vietnamese-legacy16-BDFS))

Arabic-legacy28x16-BDFS = $(call adddouble, $(Arabic-legacy14-BDFS))
Armenian-legacy28x16-BDFS = $(call adddouble, $(Armenian-legacy14-BDFS))
CyrAsia-legacy28x16-BDFS = $(call adddouble, $(CyrAsia-legacy14-BDFS))
CyrKoi-legacy28x16-BDFS = $(call adddouble, $(CyrKoi-legacy14-BDFS))
CyrSlav-legacy28x16-BDFS = $(call adddouble, $(CyrSlav-legacy14-BDFS))
Ethiopian-legacy28x16-BDFS = $(call adddouble, $(Ethiopian-legacy14-BDFS))
Georgian-legacy28x16-BDFS = $(call adddouble, $(Georgian-legacy14-BDFS))
Greek-legacy28x16-BDFS = $(call adddouble, $(Greek-legacy14-BDFS))
Hebrew-legacy28x16-BDFS = $(call adddouble, $(Hebrew-legacy14-BDFS))
Lao-legacy28x16-BDFS = $(call adddouble, $(Lao-legacy14-BDFS))
Lat15-legacy28x16-BDFS = $(call adddouble, $(Lat15-legacy14-BDFS))
Lat2-legacy28x16-BDFS = $(call adddouble, $(Lat2-legacy14-BDFS))
Lat38-legacy28x16-BDFS = $(call adddouble, $(Lat38-legacy14-BDFS))
Lat7-legacy28x16-BDFS = $(call adddouble, $(Lat7-legacy14-BDFS))
Thai-legacy28x16-BDFS = $(call adddouble, $(Thai-legacy14-BDFS))
Uni1-legacy28x16-BDFS = $(call adddouble, $(Uni1-legacy14-BDFS))
Uni2-legacy28x16-BDFS = $(call adddouble, $(Uni2-legacy14-BDFS))
Uni3-legacy28x16-BDFS = $(call adddouble, $(Uni3-legacy14-BDFS))
Vietnamese-legacy28x16-BDFS = $(call adddouble, $(Vietnamese-legacy14-BDFS))

###################################################################

# $(call add_bdf, xxx+yyy+zzz) = bdf/xxx.bdf+bdf/yyy.bdf+bdf/zzz.bdf
empty =
space = $(empty) $(empty)
add_bdf = $(patsubst +%, %, \
		$(subst $(space),+, \
			$(addprefix bdf/,$(subst +, , $(1)))))

ALL_PSF_FONTS = $(sort $(foreach face, $(ALL_FACES), \
			$(addsuffix -$(face).psf, $(all-CODESETS))))

GOOD_PSF_FONTS = $(filter \
		%-Fixed13.psf %-Fixed14.psf %-Fixed15.psf \
		%-Fixed16.psf %-Fixed18.psf \
		%-Terminus12x6.psf %-Terminus14.psf %-Terminus16.psf	\
		%-Terminus22x11.psf %-Terminus24x12.psf %-Terminus20x10.psf \
		%-Terminus28x14.psf %-Terminus32x16.psf			\
		%-TerminusBold14.psf %-TerminusBold16.psf		\
		%-TerminusBold20x10.psf %-TerminusBold22x11.psf         \
		%-TerminusBold24x12.psf %-TerminusBold28x14.psf         \
		%-TerminusBold32x16.psf %-TerminusBoldVGA14.psf         \
		%-TerminusBoldVGA16.psf                                 \
		%-Goha12.psf %-Goha14.psf %-Goha16.psf \
		%-GohaClassic12.psf %-GohaClassic14.psf %-GohaClassic16.psf \
		%-VGA8.psf %-VGA14.psf %-VGA16.psf \
		%-VGA28x16.psf %-VGA32x16.psf, \
	$(PSF_FONTS))

GOOD_8_FONTS = $(filter \
		%-Fixed14.psf %-Fixed16.psf %-Terminus14.psf		\
                %-Terminus16.psf %-TerminusBold14.psf			\
                %-TerminusBold16.psf %-TerminusBoldVGA14.psf		\
                %-TerminusBoldVGA16.psf %-Goha14.psf %-Goha16.psf	\
                %-GohaClassic14.psf %-GohaClassic16.psf %-VGA8.psf	\
                %-VGA14.psf %-VGA16.psf, \
	$(PSF_FONTS))

GZIPPED_GOOD_PSF_FONTS=$(addsuffix .gz, $(GOOD_PSF_FONTS))
GZIPPED_PSF_FONTS=$(addsuffix .gz, $(PSF_FONTS))
GZIPPED_ALL_PSF_FONTS=$(addsuffix .gz, $(ALL_PSF_FONTS))
UUENCODED_GOOD_RAW_FONTS=$(subst .raw,.fnt,$(GOOD_RAW_FONTS))
UUENCODED_RAW_FONTS=$(subst .raw,.fnt,$(RAW_FONTS))
UUENCODED_ALL_RAW_FONTS=$(subst .raw,.fnt,$(ALL_RAW_FONTS))

# These fonts can be used only with framebuffer

=== debian/changelog ===
console-setup (1.73) unstable; urgency=low

  [ Anton Zinoviev ]
  * Minor additions to keyboard(5) and ckbcomp(1).
  * Add information about setupcon and ckbcomp-mini in the copyright file.
  * Use /lib/init/rw for temporary file if /tmp is mounted read-only.
    When testing whether the keymap has to be recompiled, do not assume
    that either [ file1 -ot file2 ] or [ file2 -ot file1 ] (files can be
    the same age).  Thanks to Jindřich Makovička (he provided a patch),
    Vincent Lefevre, Benoît MERLET and Tony Houghton. 
    Closes: #620228, #620491.

  [ Samuel Thibault ]
  * Remove br(abnt2) choice since br already provides the ABNT2-specific key.
  * Add Ethiopian to non-latin keymaps.
  * Add Kurdish default choice, set to critical like Turkish due to Q/F
    choice.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 12 Apr 2011 21:46:54 +0300

console-setup (1.72) unstable; urgency=low

  * README: /etc/getty=>/etc/gettytab
  * debian/*.init: source /etc/default/locale to permit autodetection of
    the charmap when console-setup-mini operates without configuration
    file.
  * debian/*.init: do not test whether we are on the console, there are
    better tests inside setupcon.
  * setupcon: do not expect the existence of 'tty' (if /usr is not mounted
    'tty' will be unavailable).  Thanks to Sven Joachim, closes: #619462.
  * README.Debian: console-setup-mini no longer installs only a minimal
    set of fonts.  Without configuration file no font will be loaded.
  * A little Lintian cleaning:
    - copyright: add the required reference to common-licenses;
    - restore the separate copyright file for bdf2psf;
    - versioned build dependency on debhelper (>=7.2.3~) for dh_bugfiles;
    - standards version 3.9.1;
    - use dh_lintian to install the override file.
  * setupcon: new options --save-keyboard and --setup-dir.  Keep them
    undocumented for now.
  * setupcon: some bug fixing:
    - the function findfile wouldn't work when setupcon is not run from
      /bin or /usr/local/bin, but from a non-standard location;
    - when working with incomplete information and guessing the font name,
      use [A-WXYZa-wyz] as file pattern for fonts instead of [A-Za-z] (we do
      not want 'x' and in some locales [A-Z] includes 'x').
  * Use all-permissive, non-copyleft license for setupcon and ckbcomp-mini.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Mar 2011 12:06:14 +0300

console-setup (1.71) unstable; urgency=low

  [ Anton Zinoviev ]
  * FAQ: correct some typos and apply two patches by Jonathan Nieder.
    Thanks also to Vincent Lefevre.  Closes: #565391 (with apologies for
    the delay).
  * New manual pages keyboard(5) and console-setup(5).  Updated ckbcomp(1)
    and setupcon(1). Remove README.fonts.  Common documentation directory
    for keyboard-configuration, console-setup-linux,
    console-setup-freebsd, console-setup and console-setup-mini.  New
    README.Debian.  Thanks to Jorgen Grahn, closes: #617580.
  * Remove most of the comments in the default configuration files.  It is
    difficult to update these comments when the functionality of
    console-setup changes and the new manual pages make these comments
    less necessary.
  * Remove the VERBOSE_OUTPUT option from the default configuration file
    (but it is still supported).
  * Install *.bug-control files for reportbug.
  * Ask the keyboard option question even when Debconf doesn't support the
    layout.  Thanks to Petr Baudis and Julien Cristau, closes: #581758.
  * ckbcomp_mini: process properly empty layout and/or variant options.
    Thanks to Baptiste Carvello who reported the problem and traced its
    source.  Closes: #617499.
  * ckbcomp: ignore actions[...] = ... specifications in key definitions.
    Thanks to Klaus Ethgen, closes: #607532.
  * setupcon: accept all methods to state font size in the configuration
    file (8x14, 14x8, 14).
  * Debconf: More human-friendly options for the font size question.  By
    default use 8x14 format for all sizes.
  * setupcon: Improved test whether we are on the console.  Thanks to
    Michael Schutte and Julien Cristau for the suggestions.
  * console-setup(-mini).postinst: add again commands to configure the
    console.
  * ckbcomp: improved implementation for Alt+PrintScreen=SysRq and
    Ctrl+Pause=Break on AT keyboards.
  * ckbcomp: more correct use of approximate().  This probably affects
    only some exotic key combination such as Ctrl+Alt+Shift+AltGr+F1.
  * ckbcomp: lets try to remove some unnecessary and potentialy harmful on
    non-standard layouts mappings for Linux (Ctrl+'=^G, Ctrl+3=^[,
    Ctrl+4=^\, Ctrl+5=^], Ctrl+7=^_, Ctrl+8=^?).
  * Do not source /etc/default/keyboard in /etc/default/console-setup
    (on new installs or upgrades from pre 1.47 versions).
  * setupcon: do not cache automatically the keymap.  Instead add --save
    option the init script.
  * Do not remove /etc/console-setup in postrm.
  * setupcon, config, postinst: recognise 'guess' value in the
    configuration file.
  * postinst: do not fail if setupcon fails.
  * Include Terminus font in the compiled packages.  Do not depend, but
    conflict and provide console-terminus.  New upstream version of the
    Terminus font (4.32).
  * Keyboard/ckb: update with keyboard data of version 2.1 of xkb files.
    (This change is not relevant for Debian.)
  * New install targets in the Makefiles and debian/rules to better
    support non-Debian installs.
  * Support for FreeBSD.  Packages for Debian GNU/kFreeBSD:
    - bdf2psf: new option --raw to generate raw fonts.  Try to use CP437
      code positions if possible.  When generating raw fonts with same
      codeset, use identical font map.
    - ckbcomp and setupcon: support for FreeBSD keymaps.
    - ckbcomp: new option -backspace [ del | bs ] to determine the
      behaviour of the keys BackSpace and Delete.
    - setupcon, postinst: A corresponding variable BACKSPACE in
      /etc/default/keyboard.


=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
Build-Depends: perl, debhelper (>= 7.2.3~), po-debconf, libxml-parser-perl, bdfresize
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=d-i/console-setup.git
Vcs-Git: git://git.debian.org/d-i/console-setup.git

Package: keyboard-configuration
Section: utils
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: debconf (>= 1.5.34)
Conflicts: console-setup (<< 1.71), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Section: utils
Architecture: all
Pre-Depends: debconf (>= 1.5.34)
Depends: console-setup-linux | console-setup-freebsd, xkb-data (>= 0.9), keyboard-configuration, ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: console-setup-mini, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also installs console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration, ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version for Linux
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 This package can be useful for handhelds or other devices with small
 storage space.

Package: console-setup-linux
Section: utils
Priority: optional
Architecture: all
Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), ${misc:Depends}
Suggests: console-setup
Conflicts: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<= 1.70)
Provides: console-terminus
Replaces: console-terminus
Description: Linux specific part of console-setup
 This package includes fonts in psf format and definitions of various
 8-bit charmaps.

Package: console-setup-freebsd
Section: utils
Priority: optional
Architecture: all
Depends: vidcontrol, kbdcontrol, ${misc:Depends}
Suggests: console-setup
Conflicts: console-setup (<= 1.70)
Description: FreeBSD specific part of console-setup
 This package includes raw, uuencoded fonts and various screen maps.

Package: bdf2psf
Section: utils
Priority: optional
Architecture: all
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: archdetect, cdebconf-udeb, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 Keyboard configurator for Debian Installer based on console-setup
XC-Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Atari TT keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for old-style Macintosh keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for PC keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekbd
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded FreeBSD keyboard layouts for PC keyboards
XC-Package-Type: udeb

Package: console-setup-linux-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: Linux console fonts for Debian Installer
XC-Package-Type: udeb

Package: console-setup-freebsd-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: FreeBSD console fonts for Debian Installer
XC-Package-Type: udeb

Package: console-setup-linux-charmaps-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: Linux 8-bit charmaps for console-setup-udeb
XC-Package-Type: udeb

Package: console-setup-freebsd-charmaps-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: FreeBSD 8-bit charmaps for console-setup-udeb
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir
pre = debian/preprocessor

manprocessor = sed \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local/etc|\1 /etc|' \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local|\1 /usr|'

# One font per fontset
udeb-fonts = Armenian-Fixed16 CyrAsia-Fixed16 CyrKoi-TerminusBold16	\
CyrSlav-TerminusBold16 Georgian-Fixed16 Greek-VGA16 Hebrew-VGA16	\
Lao-Fixed16 Lat15-TerminusBold16 Lat2-TerminusBold16 Lat38-VGA16	\
Lat7-TerminusBold16 Thai-Fixed16
# These are Linux-only
udeb-fonts-big = Arabic-VGA16 Ethiopian-Goha16 Uni1-VGA16 Uni2-VGA16	\
Uni3-Fixed16 Vietnamese-Fixed16

# One fontset per charmap
udeb-scm = $(addprefix Fonts/, ARMSCII-8_Armenian.scm			\
CP1251_CyrSlav.scm CP1255_Hebrew.scm GEORGIAN-ACADEMY_Georgian.scm	\
GEORGIAN-PS_Georgian.scm IBM1133_Lao.scm ISO-8859-1_Lat15.scm		\
ISO-8859-2_Lat2.scm ISO-8859-3_Lat38.scm ISO-8859-4_Lat7.scm		\
ISO-8859-4_Lat15.scm ISO-8859-5_CyrSlav.scm ISO-8859-7_Greek.scm	\
ISO-8859-8_Hebrew.scm ISO-8859-9_Lat15.scm ISO-8859-10_Lat15.scm	\
ISO-8859-11_Thai.scm ISO-8859-13_Lat7.scm ISO-8859-14_Lat38.scm		\
ISO-8859-15_Lat15.scm ISO-8859-16_Lat2.scm KOI8-R_CyrKoi.scm		\
KOI8-U_CyrKoi.scm TIS-620_Thai.scm)

udeb-fonts-linux = $(addprefix Fonts/, $(addsuffix .psf.gz, \
			$(udeb-fonts) $(udeb-fonts-big)))
udeb-fonts-freebsd = $(addprefix Fonts/, $(addsuffix .fnt, $(udeb-fonts)))

main_build:
	rm Keyboard/KeyboardNames.pl
	$(MAKE) build-all xkbdir=$(xkbdir)
	touch main_build

debian/kbdnames.gz: main_build
	( cd Keyboard \
	&& ./kbdnames-maker KeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9 ) >$@

build: main_build debian/kbdnames.gz

.PHONY : clean
clean:
	dh_testdir
	debconf-updatepo
	$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-linux install-freebsd install-main install-bdf2psf install-linux-udeb install-freebsd-udeb install-udeb

.PHONY : install-linux
install-linux: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-linux
	$(MAKE) etcdir=debian/console-setup-linux/etc \
		prefix=debian/console-setup-linux/usr install-common-linux

.PHONY : install-freebsd
install-freebsd: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-freebsd
	$(MAKE) etcdir=debian/console-setup-freebsd/etc \
		prefix=debian/console-setup-freebsd/usr install-common-freebsd

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	dh_prep -p console-setup
	dh_prep -p console-setup-mini
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-common
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-ckbcomp
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-common
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-ckbcomp-mini
	$(pre) --mini debian/console-setup-mini/bin/setupcon
	$(pre) --mini debian/console-setup-mini/usr/bin/ckbcomp-mini
	ls debian/console-setup*/usr/share/man/*/* \
		| xargs -n 1 $(manprocessor) -i
	install -d debian/keyboard-configuration/usr/share/console-setup/
	mv debian/console-setup/etc/default/keyboard \
		debian/keyboard-configuration/usr/share/console-setup/
	install -d debian/console-setup/usr/share/console-setup/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	rm debian/console-setup-mini/etc/default/keyboard
	rm debian/console-setup-mini/etc/default/console-setup
	dh_movefiles -pkeyboard-configuration --sourcedir=debian/console-setup \
		usr/share/man/man5/keyboard.5
	rm debian/console-setup-mini/usr/share/man/man5/keyboard.5
# For KeyboardNames.pl and kbdnames-maker see #420914
	dh_install -pkeyboard-configuration Keyboard/KeyboardNames.pl \
		usr/share/console-setup/
	dh_install -pkeyboard-configuration Keyboard/kbdnames-maker \
		usr/share/console-setup/
	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
		usr/share/doc/keyboard-configuration/xorg.lst
	dh_installinit -pkeyboard-configuration \
		--no-start --name keyboard-setup -- start 06 S .
	dh_installinit -pkeyboard-configuration \
		--no-start --name console-setup -- start 49 S .

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	dh_installman -pbdf2psf man/bdf2psf.1
	dh_installdocs -pbdf2psf debian/README.fontsets

.PHONY : install-linux-udeb
install-linux-udeb: build
	dh_testdir
	dh_testroot
# console-setup-linux-charmaps-udeb
	dh_prep -p console-setup-linux-charmaps-udeb
	$(MAKE) etcdir=debian/console-setup-linux-charmaps-udeb/etc \
		prefix=debian/console-setup-linux-charmaps-udeb/usr \
			install-common-linux
	dh_install -p console-setup-linux-charmaps-udeb \
		Keyboard/charmap_functions.sh usr/share/console-setup/
	rm -r debian/console-setup-linux-charmaps-udeb/usr/share/consolefonts/
# console-setup-linux-fonts-udeb
	dh_prep -p console-setup-linux-fonts-udeb
	dh_install -p console-setup-linux-fonts-udeb $(udeb-fonts-linux) \
		usr/share/consolefonts

.PHONY : install-freebsd-udeb
install-freebsd-udeb: build
	dh_testdir
	dh_testroot
# console-setup-freebsd-charmaps-udeb
	dh_prep -p console-setup-freebsd-charmaps-udeb
	$(MAKE) etcdir=debian/console-setup-freebsd-charmaps-udeb/etc \
		prefix=debian/console-setup-freebsd-charmaps-udeb/usr \
			install-common-freebsd
	dh_install -p console-setup-freebsd-charmaps-udeb \
		Keyboard/charmap_functions.sh usr/share/console-setup/
	rm -r debian/console-setup-freebsd-charmaps-udeb/usr/share/consoletrans/
	rm -r debian/console-setup-freebsd-charmaps-udeb/usr/share/syscons/
# console-setup-freebsd-fonts-udeb
	dh_prep -p console-setup-freebsd-fonts-udeb
	dh_install -p console-setup-freebsd-fonts-udeb $(udeb-fonts-freebsd) \
		usr/share/syscons/fonts/
	dh_install -p console-setup-freebsd-fonts-udeb $(udeb-scm) \
		usr/share/syscons/scrnmaps/

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-amiga-ekmap
	dh_prep -p console-setup-ataritt-ekmap
	dh_prep -p console-setup-macintoshold-ekmap
	dh_prep -p console-setup-pc-ekmap
	dh_prep -p console-setup-sun4-ekmap
	dh_prep -p console-setup-sun5-ekmap
	dh_prep -p console-setup-udeb
	dh_prep -p console-setup-pc-ekbd
	$(MAKE) etcdir=debian/console-setup-udeb/etc \
		prefix=debian/console-setup-udeb/usr install-common
	$(MAKE) etcdir=debian/console-setup-udeb/etc \
		prefix=debian/console-setup-udeb/usr install-ckbcomp-mini
	$(pre) --mini debian/console-setup-udeb/bin/setupcon
	$(pre) --mini debian/console-setup-udeb/usr/bin/ckbcomp-mini
	rm -r debian/console-setup-udeb/usr/share/man/
	dh_installdirs -p console-setup-udeb usr/share/console-setup
	mv debian/console-setup-udeb/etc/default/keyboard \
		debian/console-setup-udeb/usr/share/console-setup/
	rm debian/console-setup-udeb/etc/default/console-setup
	rm debian/console-setup-udeb/usr/share/console-setup/charmap_functions.sh
	install -m0755 debian/keyboard-configuration.config \
		debian/console-setup-udeb/usr/share/console-setup/
	$(pre) --mini debian/console-setup-udeb/usr/share/console-setup/keyboard-configuration.config
	dh_install -p console-setup-udeb debian/kbdnames.gz usr/share/console-setup
	dh_installdirs -p console-setup-udeb lib/debian-installer.d/
	install -m0644 debian/console-setup-udeb.startup \
		debian/console-setup-udeb/lib/debian-installer.d/S55console-setup
	dh_installdirs -p console-setup-udeb usr/lib/base-installer.d
	install -m0755 debian/console-setup-udeb.base-installer \
		debian/console-setup-udeb/usr/lib/base-installer.d/20console-setup
	$(pre) --mini debian/console-setup-udeb/usr/lib/base-installer.d/20console-setup
# console-setup-*-ekmap

## console-setup 1.75

=== debian/changelog ===
console-setup (1.75) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Fix setupcon when called from the installer menu.
  * Make console-setup-udeb depend on hurd-udeb for the hurd-any case.

  [ Christian Perrier ]
  * Add build-arch and build-indep targets

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Dec 2011 06:05:48 +0100

console-setup (1.74) unstable; urgency=low

  [ Samuel Thibault ]
  * Add cn(uig) keyboard (non-latin) variant.
  * Add d-i layouts for all supported languages: al, ara, es(ast), bd, by,
    in(ben), ba, es(cat), cn, bt, epo, et, ge, in(guj), in(jhelum), in(deva),
    ie, in(kan), kz, kh, kr, tr(ku_f), tr(ku), in(mal), np, no(smi), ir,
    in(guru), lk, in(tam), in(tel), cn(uig), vn.
  * Make console-setup-udeb depend on kbd-udeb or kbdcontrol-udeb to fix
    layout switch in textual d-i.

  [ Christian Perrier ]
  * Default to Russian layout with Ossetian variant for Ossetian
    language
  * Galician translation updates. Closes: #644055

  [ Colin Watson ]
  * Explicitly build-depend on liblocale-gettext-perl for kbdnames-maker,
    and likewise have keyboard-configuration depend on
    liblocale-gettext-perl.

  [ Anton Zinoviev ]
  * Make U+007C in u_vga16.bdf to be a vertical line instead of broken
    bar.  The fix is in u_vga16_fix.bdf together with the new arabic
    letters from version 1.29.  Thanks to Bjarni Ingi Gislason,
    closes: #646626.
  * keyboard-configuration: depend on initscripts.  Thanks to Johannes
    Schauer, closes: #621077.
  * setupcon: try to use large fonts with consolechars.  Who knows, maybe
    it will be fixed some day...
  * Prefer console-tools to kbd if both utilities are installed.  This is
    wrong as kbd is better but these days only Debian provides
    console-tools and the only way to have both variants of the console
    utilities is when the limited script wrappers of kbd-compat are
    installed.  Thanks to mtths (patch was provided), closes: #631935.
  * setupcon: add /run and /dev to /lib/init/rw as alternative directories
    for temporary files.  Thanks to Michael Biebl, closes: #633153.
  * setupcon: add traps to remove the temporary file when setupcon is
    interrupted.
  * debian/control: use Breaks+Replaces instead of Conflicts
  * ckbcomp-mini: do not drop the lines which do not contain "keycode".
    Thanks to Samuel Thibault.
  * setupcon: assume standard virtual consoles (/dev/tty[1-6], /dev/ttyv[0-3])
    when there is no getty & such to facilitate the detection.  Thanks to
    Samuel Thibault.
  * ckbcomp: never die on errors in the rules files.  This has the
    potential to create some difficult to trace bugs, so issue more
    informative warnings about the problem.  Thanks to Javier Vasquez,
    Jonny, Cédric Boutillier, Daniel Schepler and Peter Eisentraut.
    Closes: #614127, #614550, #625215, #626025, #642287.
  * ckbcomp: interpret dead_abovering as degree sign.  Update the
    xkbsym_date hash in compose_translator.  Thanks to Bjarni Ingi Gislason,
    closes: #649201.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Nov 2011 13:48:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
-Build-Depends: perl, debhelper (>= 7.2.3~), po-debconf, libxml-parser-perl, bdfresize
+Build-Depends: perl, debhelper (>= 7.2.3~), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl
 Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=d-i/console-setup.git
 Vcs-Git: git://git.debian.org/d-i/console-setup.git
@@ -12,9 +12,10 @@
 Package: keyboard-configuration
 Section: utils
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, liblocale-gettext-perl, initscripts
 Pre-Depends: debconf (>= 1.5.34)
-Conflicts: console-setup (<< 1.71), console-setup-mini (<< 1.47)
+Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
+Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
 Description: system-wide keyboard preferences
  This package maintains the keyboard preferences in
  /etc/default/keyboard.  Other packages can use the information
@@ -27,7 +28,8 @@
 Pre-Depends: debconf (>= 1.5.34)
 Depends: console-setup-linux | console-setup-freebsd, xkb-data (>= 0.9), keyboard-configuration, ${misc:Depends}
 Suggests: lsb-base (>= 3.0-6), locales
-Conflicts: console-setup-mini, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
+Conflicts: console-setup-mini
+Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
 Description: console font and keymap setup program
  This package provides the console with the same keyboard
  configuration scheme as the X Window System. As a result, there is no
@@ -48,7 +50,8 @@
 Recommends: kbd | console-tools
 Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration, ${misc:Depends}
 Suggests: lsb-base (>= 3.0-6)
-Conflicts: console-setup, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
+Conflicts: console-setup
+Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
 Description: console font and keymap setup program - reduced version for Linux
  This package provides the console with the same keyboard
  configuration scheme as the X Window System. As a result, there is no
@@ -66,9 +69,9 @@
 Architecture: all
 Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), ${misc:Depends}
 Suggests: console-setup
-Conflicts: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<= 1.70)
+Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
+Replaces: console-terminus, console-setup (<< 1.71)
 Provides: console-terminus
-Replaces: console-terminus
 Description: Linux specific part of console-setup
  This package includes fonts in psf format and definitions of various
  8-bit charmaps.
@@ -79,7 +82,8 @@
 Architecture: all
 Depends: vidcontrol, kbdcontrol, ${misc:Depends}
 Suggests: console-setup
-Conflicts: console-setup (<= 1.70)
+Breaks: console-setup (<< 1.71)
+Replaces: console-setup (<< 1.71)
 Description: FreeBSD specific part of console-setup
  This package includes raw, uuencoded fonts and various screen maps.
 
@@ -109,7 +113,7 @@
 Package: console-setup-udeb
 Section: debian-installer
 Priority: extra
-Depends: archdetect, cdebconf-udeb, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,10 @@
 	&& ./kbdnames-maker KeyboardNames.pl \
 		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9 ) >$@
 
-build: main_build debian/kbdnames.gz
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: main_build debian/kbdnames.gz
 
 .PHONY : clean
 clean:

## console-setup 1.88

=== debian/changelog ===
console-setup (1.88) unstable; urgency=low

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Dec 2012 07:00:49 +0100

console-setup (1.87) unstable; urgency=low

  [ Samuel Thibault ]
  * keyboard-configuration.config: Fix greek and ethiopian default layout into
    including a US group, closes: #691201. Thanks Alkis Georgopoulos for the
    report.

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 13:55:37 +0200

console-setup (1.86) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Oct 2012 08:49:14 +0200

console-setup (1.85) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 13:08:32 +0200

console-setup (1.84) unstable; urgency=low

  * Turn /usr/share/doc/console-setup{,-mini} into symlinks. Thanks to
    Sven Joachim for the patch, closes: #657904.
  * Tighten the dependency of console-setup-* on keyboard-configuration as
    /usr/share/doc/console-setup* are symlinks. Thanks to Sven Joachim for
    the patch.
  * postinst: Do not modify /etc/default/{keyboard,console-setup} if
    either file is a symlink.  Thanks to Martin Ziegler, closes: #671003.
  * keyboard-setup.init: hide error messages issued by setupcon (those are
    normal if /usr is unavailable).  Thanks to Miguel Angel, closes: #651229.
  * Make setupcon --save-keyboard fail if the keyboard model is unknown.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 30 Sep 2012 20:15:47 +0300

console-setup (1.83) unstable; urgency=low

  [ Samuel Thibault ]
  * Add font-switch script to console-setup-linux-fonts-udeb package, remove
    fonts which are not used by d-i.
  [ Anton Zinoviev ]
  * Make setupcon --save-keyboard fail if ckbcomp fails.  Thanks to
    Michael Prokop for discovering this bug.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 26 Sep 2012 22:18:52 +0300

console-setup (1.82) unstable; urgency=low

  * Re-upload without .gitignore files in the source package.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Aug 2012 01:25:07 +0200

console-setup (1.81) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * console-setup-udeb.postinst: Support hurd keymap change by restarting the
    console.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jul 2012 00:55:05 +0200

console-setup (1.80) unstable; urgency=low

  * Team upload.
  * Re-upload without mess from my checkout.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jul 2012 15:55:57 -0300

console-setup (1.79) unstable; urgency=low

  * Team upload.
  * rules: Add missing dependency main_build -> ekmap generation, to fix empty
    kmap files generated by parallel builds. Closes: #679171.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2012 01:13:11 -0300

console-setup (1.78) unstable; urgency=low

  * Team upload.
  * Updated translations:
    - Amharic (am.po)
    - Croatian (hr.po)
  * Add support for parallel=n in DEB_BUILD_OPTIONS.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 22 Jun 2012 12:07:04 +0200

console-setup (1.77) sid; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Welsh (cy.po) by Dafydd Tomos
  * Danish (da.po) by Joe Hansen
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jorge Barreiro
  * Hungarian (hu.po) by SZERVÁC Attila
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Marathi (mr.po) by sampada
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Romanian (ro.po) by ioan-eugen stan
  * Slovenian (sl.po) by Vanja Cvelbar
  * Tamil (ta.po) by Kumar Appaiah
  * Uyghur (ug.po) by Sahran

 -- Julien Cristau <jcristau@debian.org>  Fri, 15 Jun 2012 19:22:55 +0200

console-setup (1.76) unstable; urgency=low

  [ Peter Eisentraut ]
  * Added support for "status" action to init scripts, closes: #651461.

  [ Samuel Thibault ]
  * Remove kbdnames.gz from console-setup-udeb, it is not used any more.

  [ Christian Perrier ]
  * Add Sindhi as "pk(snd)" to the list of keymap choices
  * Change "Slovakian" (incorrect spelling) to "Slovak"
  * Change "Slovene" (incorrect spelling) to "Slovenian"

  [ Samuel Thibault ]
  * Fix Norwegian Nynorsk vs Persian keymap inversion. Closes: #665874.

  [ Robert Millan ]
  * Add Catalan to the list of languages that can be represented with
    Lat15. Closes: #667986

  [ Anton Zinoviev ]
  * setupcon: exit with error message if the kernel is neither Linux, nor
    FreeBSD.
  * setupcon: do not load font with UTF-8 on FreeBSD (the support of UTF-8
    on FreeBSD is very limited).  Thanks to Robert Millan, closes: #666542
  * Only include the debconf-selectable layouts in the udebs.  Based on a
    patch by Samuel Thibault with changes.  Closes: #658668.
  * config: handle XkbLayout of the form us(intl),cz(qwerty) when guesing
    default values from xorg.conf.  Thanks to Nathan Cutler,
    closes: #658020.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Apr 2012 17:42:22 +0300
